IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LOG_APP_V3')
 CREATE TABLE T_LOG_APP_V3 (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPTIME DATETIME DEFAULT GETDATE() NOT NULL,
FKEYWORD VARCHAR(100) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBIZOBJID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBIZOBJNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCLIENTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCLIENTIP VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPPROJID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRESID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESC NVARCHAR(350) DEFAULT ' ' NOT NULL,
FOPDESCPROJID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESCRESID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESCARGS VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FEXT1 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXT2 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXT3 BIGINT DEFAULT 0 NOT NULL,
FEXT4 VARCHAR(36) DEFAULT ' ' NOT NULL,
FEXT5 VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXT6 VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXT7 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXT8 VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LOG_APP_ARCHIVE_V3')
 CREATE TABLE T_LOG_APP_ARCHIVE_V3 (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPTIME DATETIME DEFAULT GETDATE() NOT NULL,
FKEYWORD VARCHAR(100) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBIZOBJID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBIZOBJNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCLIENTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCLIENTIP VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPPROJID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRESID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESC NVARCHAR(350) DEFAULT ' ' NOT NULL,
FOPDESCPROJID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESCRESID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESCARGS VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FEXT1 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXT2 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXT3 BIGINT DEFAULT 0 NOT NULL,
FEXT4 VARCHAR(36) DEFAULT ' ' NOT NULL,
FEXT5 VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXT6 VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXT7 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXT8 VARCHAR(255) DEFAULT ' ' NOT NULL,
FARCHIVETIME DATETIME DEFAULT GETDATE() NOT NULL
);

